Bug 423701 - Patch: stop Maniadrive from crashing on i8xx machines
Patch: stop Maniadrive from crashing on i8xx machines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 11:49 EST by Hans de Goede
Modified: 2008-01-21 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 11:43:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-12-13 11:49:21 EST
Steps to Reproduce:
1. Take a machien with i8xx graphics
2. yum install maniadrive
3. run
  
Actual results:
segfault

Expected results:
game runs.

I've worked with upstream fixing this resulting in this patch:
http://gitweb.freedesktop.org/?p=mesa/mesa.git;a=commitdiff_plain;h=454043c4ae20a92ff0a56f41fdb6aa7a75af00c8;hp=2dc85e8078bed67cb5d8bc3e16484f56c61c61ca

Any chance we can get an F-8 update with this in? We could then update to 7.0.2
too (which does not yet contain this).

I can prepare a package if you want.
Comment 1 Rahul Sundaram 2007-12-29 14:54:17 EST
Ajax, 

I would appreciate an update too. The patch successfully fixes the segfault on
my system. 

Smolt profile is at

http://smolts.org/show?UUID=3a15b444-3dbe-41d3-9ad4-88331be2d756
Comment 2 Adam Jackson 2008-01-21 11:43:33 EST
This patch is already included in mesa 7.0.2-2.fc8, which is currently in updates:

% koji latest-pkg --quiet dist-f8-updates-testing mesa
mesa-7.0.2-2.fc8                          dist-f8-updates       airlied


Note You need to log in before you can comment on or make changes to this bug.